RubyGems Navigation menu

rubocop 0.84.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.18.4 - July 23, 2021 (488 KB)
  2. 1.18.3 - July 06, 2021 (488 KB)
  3. 1.18.2 - July 02, 2021 (487 KB)
  4. 1.18.1 - June 30, 2021 (487 KB)
  5. 1.18.0 - June 29, 2021 (487 KB)
  6. 0.84.0 - May 21, 2020 (377 KB)
Show all versions (185 total)

Runtime Dependencies (7):

  • parallel ~> 1.10
  • parser >= 2.7.0.1
  • rainbow >= 2.2.2, < 4.0
  • rexml >= 0
  • rubocop-ast >= 0.0.3
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 2.0
  • Development Dependencies (1):

  • bundler >= 1.15.0, < 3.0
  • Owners:

    Pushed by:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    069f1497ef67aefa360a80aef66375fab2941b85dd09a2a68dcaab3d17a4e5c6

    Total downloads 171,577,664

    For this version 1,183,855

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4.0

    Links: